# coding: utf-8
import os

settings_module = os.environ.get('DJANGO_SETTINGS_MODULE')
if not settings_module:
    raise AttributeError('Set DJANGO_SETTINGS_MODULE variable')

settings = __import__(settings_module)
RECIPIENT_MNEMONIC = settings.settings.SMEV_SYS_MNEMONICS

CONFIG_PATH_VARIABLES = (
    'KINDER_CONFIG_PATH',
    'WEB_EDU_CONFIG_PATH',
    'EXTEDU_CONFIG_PATH',
    'SSUZ_CONFIG_PATH'
)

for conf_path in CONFIG_PATH_VARIABLES:
    CURRENT_CONFIG_PATH = os.environ.get(conf_path)
    if CURRENT_CONFIG_PATH:
        CERT_PATH = os.path.join(CURRENT_CONFIG_PATH, 'lipetsk_smev.pem')
        DT_EXCHANGE_LOG_FILE = os.path.join(CURRENT_CONFIG_PATH, 'dt_log')
        break
else:
    raise AttributeError('Set "PROJECT"_CONFIG_PATH variable')
